%define upstream_name phonon-backend-vlc

Name:           phonon-vlc
Version:        0.10.0
Release:        %mkrel 1
Summary:        VLC backend for Phonon
License:        LGPLv2
Group:          Video
URL:            https://projects.kde.org/projects/kdesupport/phonon/phonon-vlc
Source0:        http://download.kde.org/stable/phonon/%{upstream_name}/%{version}/%{upstream_name}-%{version}.tar.xz

BuildRequires: lib64qt4-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: kde4-macros
BuildRequires: automoc4
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: vlc-devel

Provides:       phonon-backend
Provides:       %{upstream_name}

Requires:       phonon
Requires:       vlc


%description
This package allows Phonon (the KDE media library) to use VLC
for audio and video playback.

%files
%doc COPYING.LIB AUTHORS
%_kde_libdir/kde4/plugins/phonon_backend/phonon_vlc.so
%_kde_services/phononbackends/vlc.desktop

#--------------------------------------------------------------------

%package -n phonon4qt5-vlc
Summary:        VLC backend for Phonon Qt5
Group:          Video/Utilities

Provides:       phonon4qt5-backend
Provides:       phonon4qt5-backend-vlc

Requires:       vlc

%description -n phonon4qt5-vlc
This package allows Phonon Qt5 (the KDE media library) to use VLC
for audio and video playback.

%files -n phonon4qt5-vlc
%doc COPYING.LIB AUTHORS
%_qt5_plugindir/phonon4qt5_backend/phonon_vlc.so

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
mkdir -p Qt4
pushd Qt4
    %cmake_kde4 ../..
    %make_build
popd

mkdir -p Qt5
pushd Qt5
    %cmake_kf5 -DPHONON_BUILD_PHONON4QT5:BOOL=ON ../..
    %make_build
popd

%install
rm -rf %buildroot
%make_install -C Qt4/build
%make_install -C Qt5/build


%changelog
* Mon Feb 26 2018 bb2 <bb2> - 0.10.0-1pclos2018
- new version
